<ion-content>
    <ion-row>
        <ion-col size="12">
            <div>
                <img src="assets/images/avatar.png" />
            </div>
            <div>
                <ion-avatar>
                    
                </ion-avatar>
            </div>
        </ion-col>
    </ion-row>
    
    <!-- form with input text and submit buttons -->
    <form [formGroup]="registerForm" (ngSubmit)="registerUser()">
        <ion-row>
            <ion-col size="12">                
                    <ion-item>
                        <ion-input type="text" placeholder="Prenom" name="prenom" formControlName="prenom" ngModel required>
                        </ion-input>
                    </ion-item>
                    <ion-item *ngIf="!registerForm.controls.prenom.valid  && (registerForm.controls.prenom.dirty)">
                        <p>Veuillez entrer un prénom valide.</p>
                    </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col size="12">                 
                    <ion-item>
                        <ion-input type="text" placeholder="Nom" name="nom"formControlName="nom" ngModel required>
                        </ion-input>
                    </ion-item>
                    <ion-item *ngIf="!registerForm.controls.prenom.valid  && (registerForm.controls.prenom.dirty)">
                        <p>Veuillez entrer un nom valide.</p>
                    </ion-item>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col size="12">                    
                    <ion-item>
                        <ion-input type="email" placeholder="Adresse email" name="email" (change)="checkEmail(registerForm.controls.email)" formControlName="email" ngModel required>
                        </ion-input>
                    </ion-item>
                    <ion-item *ngIf="registerForm.controls.email.dirty">
                        <p *ngIf="!registerForm.controls.email.valid ">Veuillez saisir un e-mail valide.</p>
                        <p  *ngIf="nbr==1">email existe déja.</p>
                    </ion-item>
                    
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col size="12">                    
                    <ion-item>
                        <ion-input type="password" placeholder="Mot de passe" name="password" formControlName="password"ngModel required>
                        </ion-input>
                    </ion-item>
                    <ion-item *ngIf="!registerForm.controls.password.valid  && (registerForm.controls.password.dirty)">
                        <p>Entrer un mot de passe valide s'il vous plait.</p>
                    </ion-item>
                </ion-col>
            </ion-row>
            <ion-row>
                <ion-col size="12">                    
                    <ion-item>
                        <ion-input type="password" placeholder="Confirmer Votre Mot de Passe" name="confirmPassword"formControlName="confirmPassword" ngModel required>
                        </ion-input>
                    </ion-item>
                    
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col *ngIf="!registerForm.controls.confirmPassword.valid && (registerForm.controls.confirmPassword.dirty)" class="alert alert-danger">
                <ion-item *ngIf="registerForm.get('confirmPassword').errors.required">
                    le champ est obligatoire
                </ion-item>
          ​
                <ion-item *ngIf="registerForm.get('confirmPassword').errors.confirmPasswordValidator  && (registerForm.controls.confirmPassword.dirty)">
                    le mot de passe ne correspond pas
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-button size="large" (click)="back()" expand="block">Login</ion-button>
            </ion-col>
            <ion-col size="18">
                <ion-button size="large" type="submit" [disabled]="registerForm.invalid" expand="block">Enregistrer</ion-button>
            </ion-col>
        </ion-row>
    </form>
</ion-content>